package com.ruoyi.zhiyuanzhe.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * 活动人员匹配度关联表(BActivityUser)表实体类
 *
 * @author wu
 * @since 2023-09-28 15:27:08
 */
@Data
@ApiModel("活动人员匹配度关联表实体类")
public class BActivityUser implements Serializable {

    private static final long serialVersionUID = -94290246857301259L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /**
     * 活动id
     */
    @ApiModelProperty(value = "活动id")
    private Long activityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long uId;

    /**
     * 匹配度
     */
    @ApiModelProperty(value = "匹配度")
    private Double degreeOfMatch;

    /**
     * 状态 0:未邀请 1:已邀请 2:已报名 3:报名成功 4:报名失败
     */
    @ApiModelProperty(value = "状态 0:未邀请 1:已邀请 2:已报名 3:报名成功 4:报名失败")
    private Integer status;

    /**
     * 年龄
     */
    @ApiModelProperty(value = "年龄")
    private String ageRange;
    /**
     * 小区
     */
    @ApiModelProperty(value = "小区")
    private String housingRange;
    /**
     * 文化程度
     */
    @ApiModelProperty(value = "文化程度")
    private String educationRange;
    /**
     * 兴趣爱好
     */
    @ApiModelProperty(value = "兴趣爱好")
    private String interestRange;
    /**
     * 政治面貌
     */
    @ApiModelProperty(value = "政治面貌")
    private String politicalRange;
    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String sexRange;
    /**
     * 国籍
     */
    @ApiModelProperty(value = "国籍")
    private String nationalityRange;
    /**
     * 专业类型
     */
    @ApiModelProperty(value = "专业类型")
    private String professionalRange;
    /**
     * 行业类型
     */
    @ApiModelProperty(value = "行业类型")
    private String industryRange;
    /**
     * 院校
     */
    @ApiModelProperty(value = "院校")
    private String schoolRange;

}

