package com.ruoyi.zhiyuanzhe.utils;

import cn.hutool.core.util.IdUtil;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.exception.ServiceException;

import java.util.HashMap;
import java.util.Map;

/**
 * 推送数据
 *
 * @author wu
 * @since 2023/10/25 16:19
 */
public class PushDataUtil {

    private static final String pushUrl = "http://192.114.0.251/anchorchain/api/chaincode/createelementbygateway";

    /**
     * 推送json数据上链
     *
     * @param elementjsonstr 兑换记录json
     */
    public static void pushData(String elementjsonstr) {
        // 获取uuid
        String key = IdUtil.simpleUUID();
        Map<String, Object> param = new HashMap<>();
        param.put("key", key);
        param.put("elementjsonstr", elementjsonstr);
        String result = HttpUtil.post(pushUrl, param);
        Map map = JSONObject.parseObject(result, Map.class);
        System.err.println(map);
        Object code = map.get("code");
        if (Integer.valueOf((String) code) != 200) {
            throw new ServiceException("数据传输失败");
        }
    }
}
